Recent Revisions to This Document

26.05.01

Initial release.

Introduction

By using the Transaction Search and Details API, you can search for and view the details of any transaction. The response payload for REST is JSON.
For information about which services can be returned by the Transaction Search and Details APIs, see Services Returned by the API.
For best practices on implementing searches, see Best Practices

Best Practices for Implementing Searches

These best practices apply to searches you implement using the Transaction Search API, Case Search API, and the
Business Center
. Following these practices will help keep your searches and detail lookups fast and reliable.
General Guidance
  • Keep multi-value lookups to 15 identifiers or less per search. Identifiers include reference numbers, request IDs, or account numbers. For larger lookups, use another method instead of one very large interactive request.
  • Use the narrowest date range that answers your question. Use 7 days or less for interactive transaction searches.
  • Break large bulk lookups into smaller batches. For example, implement several searches of less than or equal to 15 identifiers and less than or equal to 7 days instead of implementing one combined search that spans many identifiers and a long date range.
  • Retry failed or slow searches manually, using a short pause instead of immediately re-running the identical search in an automated loop.
Practices to Avoid
  • Do not implement broad wildcard searches. These searches scan a large portion of the search index and use the most resources.
  • These wildcard validation rules now apply:
    • Leading wildcard searches are no longer accepted.
    • Wildcard searches must contain a minimum of three characters preceding the wildcard character (*). These examples demonstrate the unsupported and the accepted wildcard formats.
      Unsupported Wildcard Formats:
      • *ABC
      • A*
      • AB*
      • 12*
      Accepted Wildcard Formats:
      • ABC*
      • ABCD*
      • 123*
  • Avoid combining a large number of identifiers with a long date range in the same search. Cost increases roughly with identifiers multiplied by a date range, so a search that is fine alone can be expensive when both are large together.
  • Avoid automated rapid-retry on a timeout. An identical search that timed out will typically time out again if re-run immediately, which adds load on the service without improving results.
API Searches: Request Shape
  • Cap each request to 15 or fewer identifiers when using multi-value lookups. If your integration currently sends larger batches, split them into multiple smaller requests.
  • Use an end-of-day reconciliation or bulk report instead of paging through many large interactive search calls.
  • Use the narrowest date range your job actually needs. Recurring jobs that request a wide window are a common source of avoidable load.
  • Avoid wildcard or short-prefix values in identifier fields. Search for an exact full value when it is available.
API Searches: Retry and Error Handling
  • Implement a back-off retry instead of tight-loop retry. If a request times out or errors, wait before retrying, and increase the wait time on repeated failures (exponential back off).
  • If you receive a
    429
    (rate limited) response, treat it as a signal to slow down, not a bug to route around. Honor any Retry-After value if present, and reduce your request rate/batch size rather than retrying immediately or in parallel.
  • Cap your retry attempts for a given request. For example, make 3 to 5 attempts with increasing back-off retries and alert/log instead of retrying indefinitely.
  • Watch for repeated identical requests from your own systems. A scheduled job that re-issues the exact same search on every run because a previous run did not complete can create a sustained load without your team realizing it. Add job-level locking or de-duplication search so a stopped run does not stack up.
Business Center
Searches
  • Transaction Search:
    search on a specific field (order number, request ID, reference number) instead of a broad free-text and keyword term when possible. Keep the date range to 7 days or less.
  • Quick Search:
    use a reasonably narrow date range rather than the widest default. If you manage multiple sub-accounts under a parent account, search from the specific sub-account instead of from the top-level parent view when you know the account where the transaction belongs.
  • Bulk Export and Reporting:
    if you need a large number of transactions or cases, use the
    Business Center
    report feature to pull the full set at once instead of repeatedly re-running and paging through search results. If a search is slow or times out, wait a moment and retry once instead of repeatedly clicking search or refresh in quick succession.

Transaction Search API

Using the Transaction Search API, you can search for your transactions that meet specific criteria.
To create a transaction search, your client application must send a POST request. The request body contains the details for creating the search, such as the search name, the time zone, and the parameters for the search.

Creating a Transaction Search Request

Follow these steps to create a transaction search request:
  1. Send a POST request to
    https://<url_prefix>/tss/v2/searches
    and include these required fields:

    ADDITIONAL INFORMATION

    • query
    • sort
    Use the name of the server as the
    <url_prefix>
    :
    • Production:
      api.gw.cliq.com
    • Test:
      api.gw.cas.cliq.com
  2. Include these optional fields:

    ADDITIONAL INFORMATION

    • save
    • name
    • timezone
    • offset
    • sort
    For a list of supported time zones, see Supported Time Zones.

Filtering by Query Parameter

You can use the supported API fields in the table below as query parameters in the
query
field of the search request.
Supported operators are
AND
and
OR
.
Use the format
field:value AND field2:value
.
Field hierarchy uses the dotted format
object.field
or
object.field.subfield
.
This list identifies the supported fields and how each filter can be used.
Query Parameters:
applicationInformation.applications.name
The name of the application or services that processed the transaction.
Examples:
applicationInformation.applications.name:ics_auth
applicationInformation.applications. reconciliationId
OR
reconciliationId
Transaction reference number, returned by the original transaction response.
Examples:
applicationInformation.applications.reconciliationId:H74U3AD377ER921
reconciliationId:H74U3AD377ER921
buyerInformation.merchantCustomerId
Your identifier for the customer.
Example:
buyerInformation.merchantCustomerId:0535439670
clientReferenceInformation.code
Client-generated order reference or tracking number. We recommend that you send a unique value for each transaction so that you can perform meaningful searches for the transaction.
Example:
clientReferenceInformation.code:12345
clientReferenceInformation.partner. solutionId
Identifier for the partner that is integrated to our platform.
Example:
clientReferenceInformation.partner.solutionId:89012345
deviceInformation.ipAddress
IP address of the customer's device.
Example:
deviceInformation.ipAddress:23.45.35.29
id
A unique identification number generated by
cliq
to identify the submitted request.
Example:
id:6590834057836283403955
installmentInformation.identifier
Identifier for an installment payment transaction.
Example:
installmentInformation.identifier:1000000000
merchantId
cliq
merchant ID.
Example:
merchantId:merchant10
merchantInformation.resellerId
Only for reseller. Query transactions for all merchants under the reseller portfolio.
Example:
merchantInformation.resellerId:1234
merchantInformation.accountId
Query transactions for one of your merchant accounts.
Example:
merchantInformation.accountId:cybs_acct
orderInformation.amountDetails.currency
ISO Standard Currency Codes.
Example:
orderInformation.amountDetails.currency:[USD]
orderInformation.amountDetails.totalAmount
Grand total for the order.
Example:
orderInformation.amountDetails.totalAmount:100.00
orderInformation.billTo.email
Customer's email address.
Example:
orderInformation.billTo.email:[email protected]
orderInformation.billTo.firstName
Customer’s first name. This name must be the same as the name on the card.
Example:
orderInformation.billTo.firstName:John
orderInformation.billTo.lastName
Customer’s last name. This name must be the same as the name on the card.
Example:
orderInformation.billTo.lastName:Doe
orderInformation.billTo.phoneNumber
Phone number associated with the customer's billing address.
Example:
orderInformation.billTo.phoneNumber:8394552567
orderInformation.shipTo.phoneNumber
Phone number associated with the customer's shipping address.
Example:
orderInformation.shipTo.phoneNumber:8394552567
paymentInformation.bank.account.number
Full bank account number.
Example:
paymentInformation.bank.account.number:1234567890
paymentInformation.bank.account.prefix
The initial six numbers of a bank account number.
Example:
paymentInformation.bank.account.prefix:1234
paymentInformation.bank.account.suffix
Last four digits of the customer’s bank account number.
Example:
paymentInformation.bank.account.suffix:4321
paymentInformation.card.number
Full payment account number.
Example:
paymentInformation.card.number:4111111111111111
paymentInformation.card.prefix
Initial six numbers on a payment account number.
Example:
paymentInformation.card.prefix:4111
paymentInformation.card.suffix
Last four digits of the customer’s card number.
Example:
paymentInformation.card.suffix:1111
paymentInformation.customer.customerId
Unique identifier for the customer's card and billing information.
Example:
paymentInformation.customer.customerId:548323
paymentInformation.paymentType.method
Indicates the payment method used in this payment transaction. See Filtering by Payment Type for more information.
Example:
paymentInformation.paymentType.method:MC
paymentInformation.paymentType.type
Indicates the payment type used in this payment transaction. For example: credit card or check. See Filtering by Payment Type for more information.
Example:
paymentInformation.paymentType.type:credit card
processingInformation.commerceIndicator
Type of transaction. Some payment card companies use this information when determining discount rates.
Example:
processingInformation.commerceIndicator:123abc
processorInformation.approvalCode
Authorization code returned by the processor.
Example:
processorInformation.approvalCode:1234
processorInformation.retrievalReferenceNumber
Unique number that our platform generates to identify the transaction.
Example:
processorInformation.retrievalReferenceNumber:122908889379
submitTimeUtc
The date and time a transaction was submitted, or a range of times. See Filtering Using submitTimeUtc for more information.
Example:
submitTimeUtc:[2022-05-11T03:21:03Z]
The following examples show several ways of using these keywords in the query parameter.
Keyword Query Examples
Type of Search
Example
Two filters, using AND.
“query”:“clientReferenceInformation.code:1111 AND submitTimeUtc:[NOW/DAY-1DAYS TO NOW/DAY+1DAY}"
Three values for one filter, using OR.
“query”:“clientReferenceInformation.code:(1111 OR 2222 OR 3333)”
Multiple filters and values, using both AND and OR.
“query”:“clientReferenceInformation.code:(1111 OR 2222 OR 3333) AND submitTimeUtc:[NOW/DAY-1DAYS TO NOW/DAY+1DAY}”

Filtering Using the paymentInformation.paymentType Field

The
paymentInformation.paymentType.type
field enables you to filter transactions by the payment type.
Possible values and descriptions for
paymentInformation.paymentType.type
and corresponding
paymentInformation.paymentType.method
values:
  • bank transfer
    : Bank transfer
    • mch
      : Bancontact
    • rbt
      : Bank Transfer
    • br
      : Brazil Bank Transfer
    • blf
      : Belfius
    • co
      : China Cash on Order
    • ct
      : China Bank Transfer
    • cw
      : China eWallet
    • eps
      : EPS
    • vks
      : Finland Bank Transfer
    • gpy
      : Giropay
    • ion
      : Interac Online
    • idl
      : iDeal
    • wpb
      : PayByBank
    • kbc
      : KBC
    • pzw
      : Przelewy24
    • sof
      : Sofort
    • dbb
      : Sweden Bank Transfer
  • cash payments
    : Cash payment
    • oxo
      : Oxxo
    • mlb
      : Multibanco
  • check
    : Check
    • c
      : Checking
    • x
      : Corporate Checking
    • u
      : Checking without Account Number
    • s
      : Savings
  • credit card
    : Credit card
    • ax
      : American Express
    • ar
      : Aura Card
    • bb
      : Bebe
    • bl
      : Bill Me Later
    • cn
      : Carnet
    • cs
      : Carta Si
    • cb
      : Carte Blanche
    • cl
      : Cartes Bancaires
    • cc
      : Casual Corner
    • cp
      : China UnionPay (CUP)
    • dk
      : Dankort
    • do
      : Delta Online
    • dc
      : Diners Club
    • di
      : Discover
    • ds
      : Dick's Sportswear
    • dn
      : Disney
    • ed
      : eDiscreet
    • el
      : ELO Card
    • en
      : Encoded Account
    • er
      : EnRoute
    • fb
      : Falabella
    • gm
      : GE Capital Money UK
    • ep
      : Eftpos
    • tc
      : GE TwinPay Credit
    • td
      : GE TwinPay Debit
    • hc
      : Hipercard
    • hd
      : Home Depot Consumer
    • hr
      : Household
    • ja
      : JAL
    • jc
      : JCB
    • jw
      : Jcrew
    • kr
      : Korean Cards
    • la
      : Laser
    • lw
      : Lowe's Consumer
    • mb
      : MBNA
    • mc
      : Mastercard
    • mg
      : MagnaCash
    • mo
      : Maestro
    • mr
      : Meijer
    • md
      : Mada
    • nc
      : Nicos
    • or
      : Orico Card
    • rc
      : Redecard
    • dp
      : Pinless Debit
    • rp
      : RuPay
    • rh
      : Restoration Hardware
    • sb
      : Sam's Club Business
    • sc
      : Sam's Club Consumer
    • sr
      : Sears
    • st
      : Style Cards
    • ua
      : UATP
    • unk
      : Unknown Card
    • ve
      : Visa Electron
    • vi
      : Visa
    • wm
      : Walmart
  • direct debit
    : Direct debit
    • dd
      : Direct Debit
    • sdd
      : Adyen SEPA Direct Debit
  • ewallet
    : eWallet
    • abr
      : Alipay Barcode
    • adm
      : Alipay Domestic (mobile)
    • apd
      : Alipay Domestic
    • apy
      : Alipay International
    • aym
      : Alipay International (mobile)
    • aqr
      : Alipay QR Code
    • acc
      : Alipay Credit Card
    • ctp
      : Common Transaction Processing
    • rbt
      : Bank transfer
    • mbp
      : Mobile Billing
    • vme
      : V.me
  • gift card
    : Gift card
    • vl
      : ValueLink
  • invoice payments
    : Invoice payments
    • kli
      : Klarna
    • afm
      : Affirm
  • paypal
    : PayPal
    • paypal
      : PayPal
  • switch card
    : Switch card
    • so
      : Solo
    • sw
      : Switch

Filtering Using the submitTimeUtc Field

The
submitTimeUtc
field uses date math expressions and enables you to use dates and times relative to a fixed moment, including the current time, which is represented by
NOW
.
You can also use UNIX Epoch Time for the start and end time. For example,
submitTimeUtc:[1556712000000 TO 1556757600000]
.
IMPORTANT
If the
submitTimeUtc
field is not included as a search parameter, the time window defaults to seven days.
Date Math Syntax:
Date math expressions consist of adding some quantity of time in a specified unit, or rounding the current time by a specified unit. Expressions can be joined and are evaluated left to right.
A slash (
/
) is used to indicate rounding.
NOW/HOUR
represents the beginning of the current hour. If the current time is 4:12 p.m. (
NOW
), then
NOW/HOUR
would be the start of that hour, 4:00 p.m. Valid values in date math are:
  • DAY
    or
    DAYS
  • MONTH
    or
    MONTHS
  • MINUTE
    or
    MINUTES
Date Math Range:
Date math supports date range searches. The syntax is
[startDate TO endDate}
.
A square bracket (
[
) indicates that the date is included in the range; a curly bracket (
}
) indicates that the date is excluded.
For example, to search transactions from the previous day, and the current date is May 3, 2019,
[NOW/DAY-1DAY TO NOW/DAY}
would search for transactions with a date between May 2, 2019, 12:00 AM to May 2, 2019, 11:59 PM.
More Examples:
  • Last hour:
    [NOW/HOUR-1HOUR TO NOW/HOUR}
  • Today:
    [NOW/DAY TO NOW/DAY+1DAY}
  • Yesterday:
    [NOW/DAY-1DAY TO NOW/DAY}
  • Past 7 days:
    [NOW/DAY-7DAYS TO NOW/DAY+1DAY}
  • Month-to-Date:
    [NOW/MONTH TO NOW/DAY+1DAY}
  • Past month:
    [NOW/MONTH-1MONTH TO NOW/MONTH}
  • Past 6 months:
    [NOW/DAY-6MONTHS TO NOW/DAY+1DAY}
  • Past 12 months:
    [NOW/DAY-12MONTHS TO NOW/DAY+1DAY]
  • Past 13 months:
    [NOW/DAY-13MONTHS TO NOW/DAY+1DAY]

Example: Creating a Search Request

Search Request
POST https://<url_prefix>/tss/v2/searches { "save": "save", "name": "Search by Code", "timezone": "America/Denver", "query": "clientReferenceInformation.code:123456", "offset": "0", "limit": "100", "sort": "submitTimeUtc:desc" }

Retrieving a Saved Transaction Search Request

To retrieve a saved transaction search, your client application must send an HTTPS GET request to the server. The format of the URL is as follows:
GET https://&lt;url_prefix&gt;/tss/v2/searches/{searchID}
Transaction Search Request URL Values
Value
Description
&lt;
url_prefix
&gt;
Name of the server from which to download the report. Use one of these values:
  • Production:
    api.gw.cliq.com
  • Test:
    api.gw.cas.cliq.com
searchID
The ID returned in the search request response.

Responses

This call can return one of the following HTTP status codes:
  • 200
    : Successful response.
  • 404
    : The specified resource is not found in the system.
  • 500
    : Unexpected server error.
For detailed information on the responses, including which fields are returned, see the .

Transaction Details API

Using the Transaction Details API, you can view the details of any transaction by its request ID. If you do not know the request ID for the transaction, you can use the Transaction Search API to retrieve it. See Retrieving a Saved Transaction Search Request for details.
IMPORTANT
The Transaction Details API is designed to provide reports of processed transactions for a specific time period. It is not intended for use in real-time transaction processing. During exceptional periods, response times for this API may exceed 2 minutes.

Retrieving a Transaction

Send a GET request to the following URL, where
{id}
is the request ID of the transaction:
https://&lt;url_prefix&gt;/tss/v2/transactions/{id}

Responses

This call returns one of the following HTTP status codes:
  • 200
    : Successful response.
  • 404
    : The specified resource is not found in the system.
  • 500
    : Unexpected server error.
For detailed information on the responses, including which fields are returned, see the .
IMPORTANT
If the response is an HTTP 404 status code, retry the API call 5 minutes later, for a maximum of five tries.

Services Returned by the API

The Transaction Details API response contains an
applications
array that lists the services that processed the request. You can search for the service that processed the transaction using the
applicationInformation.applications.name
field. The table below lists all the services that can be returned by the Transaction Search and Details APIs.
Applications Returned by the API
Application
Description
ics_score
Advanced Fraud Screen
ics_ap_auth
Alt Pay Authorization
ics_ap_auth_reversal
Alt Pay Authorization Reversal
ics_ap_billing_agreement
Alt Pay Billing Agreement
ics_ap_cancel
Alt Pay Cancel
ics_ap_capture
Alt Pay Capture
ics_ap_initiate
Alt Pay Initiate
ics_ap_options
Alt Pay Options
ics_ap_order
Alt Pay Order
ics_ap_refund
Alt Pay Refund
ics_ap_sale
Alt Pay Sale
ics_ap_sessions
Alt Pay Session
ics_ap_check_status
Alt Pay Service Status
ics_auto_auth_reversal
Automatic Authorization Reversal
ics_bank_transfer
Bank Transfer
ics_bank_transfer_real_time
Bank Transfer Real Time
ics_bank_transfer_refund
Bank Transfer Refund
ics_bin_lookup
BIN Lookup Service
ics_boleto_payment
Boleto Payment
ics_auth
Card Authorization
ics_auth_reversal
Card Full Authorization Reversal
ics_bill
Card Settlement
ics_credit
Card Credit
ics_cm_action
Case Management Action
ics_china_payment
China Payment
ics_china_refund
China Refund
ics_auto_full_auth_reversal
Credit Card Auto Full Authorization Reversal
ics_auth_refresh
Credit Card System Authorization
ics_credit_auth
Credit Card Credit Authorization
ics_risk_update
Customer List Modification
ics_dcc
DCC Lookup
ics_dcc_update
DCC Update
ics_decision
Decision Manager
ics_dm_event
Decision Manager Events
ics_direct_debit
Direct Debit
ics_direct_debit_mandate
Direct Debit Mandate
ics_direct_debit_refund
Direct Debit Refund
ics_direct_debit_validate
Direct Debit Validation
ics_ecp_authenticate
Electronic Check Authenticate
ics_ecp_credit
Electronic Check Credit
ics_ecp_debit
Electronic Check Debit
ics_ecp_avs
Electronic Check Account Validation
ics_get_masterpass_data
Get MasterPass Data
ics_get_visa_checkout_data
Get
Visa Click to Pay
ics_create_isv
Gift Certificate Creation
ics_get_isv_history
Gift Certificate History
ics_add_value_to_isv
Gift Certificate Increase
ics_get_isv_info
Gift Certificate Information
ics_modify_isv
Gift Certificate Modification
ics_get_isv_profiles
Gift Certificate Profiles
ics_redeem_isv
Gift Certificate Redemption
ics_gift_card_activation
Gift Card Activation Service
ics_gift_card_balance_inquiry
Gift Card Balance Inquiry Service
ics_gift_card_redemption
Gift Card Redemption Service
ics_gift_card_refund
Gift Card Refund Service
ics_gift_card_reload
Gift Card Reload Service
ics_gift_card_reversal
Gift Card Reversal Service
ics_gift_card_void
Gift Card Void Service
ics_gift_card_timeout_reversal
Gift Card Timeout Reversal Service
ics_ifs_setup
IFS Setup
ics_ifs_update
IFS Update
ics_incremental_auth
Incremental Authorization
ics_ipgeo
IP Geolocation
ics_oct
Original Credit Transaction
ics_pa_setup
Payer Authentication Setup
ics_pa_enroll
Payer Authentication Enrollment
ics_pa_validate
Payer Authentication Validation
ics_authentication_exemptions
Visa Exemption Service
paypal_mip_agreement_ipn
PayPal Billing Agreement
ics_paypal_button_create
PayPal Button Create
ics_paypal_credit
PayPal Credit
ics_paypal_authorization
PayPal Express Checkout Authorization
ics_paypal_create_agreement
PayPal Express Checkout Billing Agreement Create
ics_paypal_update_agreement
PayPal Express Checkout Billing Agreement Update
ics_paypal_ec_order_setup
PayPal Express Checkout Order Setup
ics_paypal_auth_reversal
PayPal Express Checkout Auth Reversal
ics_paypal_ec_do_payment
PayPal Express Checkout Do Payment
ics_paypal_do_ref_transaction
PayPal Express Checkout Do Reference
ics_paypal_refund
PayPal Express Checkout Refund
ics_paypal_do_capture
PayPal Express Checkout Settlement
paypal_ipn
PayPal Payment
ics_paypal_preapproved_payment
PayPal Preapproved Payment
ics_pin_debit_credit
PIN Debit Credit
ics_pin_debit_purchase
PIN Debit Purchase
ics_pin_debit_reversal
PIN Debit Reversal
ics_timeout_pin_debit_reversal
PIN Debit Timeout Reversal
ics_pinless_debit
PINless Debit
ics_pinless_debit_validate
PINless Debit Validation
ics_pinless_debit_reversal
PINless Debit Reversal
ics_export
Product Export Verification
ics_service_fee_auth
Service Fee Authorization
ics_service_fee_auth_reversal
Service Fee Authorization Reversal
ics_service_fee_bill
Service Fee Settlement
ics_service_fee_credit
Service Fee Credit Card Credit
ics_service_fee_ecp_credit
Service Fee eCheck Credit
ics_service_fee_ecp_debit
Service Fee eCheck Debit
ics_pay_subscription_create
Subscription Creation
ics_pay_subscription_create_dup
Subscription Creation Duplicates
ics_pay_subscription_delete
Subscription Delete
ics_pay_subscription_update
Subscription Modification
ics_dav
Shipping Address Verification
ics_download
Software Download URL
ics_tax
Tax Calculation
ics_timeout_auth_reversal
Timeout Auth Reversal
ics_timeout_oct_reversal
Timeout OCT Reversal
ics_void
Voided Transactions
ics_auto_void_auth_reversal
Authorization Reversal after Void
ics_pay_subscription_retrieve
Subscription Retrieval
ics_ap_create_mandate
Alt Pay Direct Debit - Create Mandate
ics_ap_update_mandate
Alt Pay Direct Debit - Update Mandate
ics_ap_import_mandate
Alt Pay Direct Debit - Import Mandate
ics_ap_revoke_mandate
Alt Pay Direct Debit - Revoke Mandate
ics_ap_mandate_status
Alt Pay Direct Debit - Mandate status

Supported Time Zones

This table lists the supported values for specifying a time zone. When using the
Business Center
, select the applicable time zone from the values listed in the
Business Center
column. When sending an API request, set the field to a value listed in the API column.
Time Zones
Business Center
API
Africa/Cairo - (GMT+02:00) Eastern European Time
Africa/Cairo
Africa/Johannesburg - (GMT+02:00) South Africa Standard Time
Africa/Johannesburg
Africa/Tripoli - (GMT+02:00) Eastern European Time
Africa/Tripoli
Africa/Tunis - (GMT+01:00) Central European Time
Africa/Tunis
America/Anchorage - (GMT-09:00) Alaska Standard Time
America/Anchorage
America/Bogota - (GMT-05:00) Colombia Time
America/Bogota
America/Buenos_Aires - (GMT-03:00) Argentine Time
America/Buenos_Aires
America/Chicago - (GMT-06:00) Central Standard Time
America/Chicago
America/Denver - (GMT-07:00) Mountain Standard Time
America/Denver
America/Edmonton - (GMT-07:00) Mountain Standard Time
America/Edmonton
America/Godthab - (GMT-03:00) Western Greenland Time
America/Godthab
America/Halifax - (GMT-04:00) Atlantic Standard Time
America/Halifax
America/Indianapolis - (GMT-05:00) Eastern Standard Time
America/Indianapolis
America/La_Paz - (GMT-04:00) Bolivia Time
America/La_Paz
America/Los_Angeles - (GMT-08:00) Pacific Standard Time
America/Los_Angeles
America/Mexico_City - (GMT-06:00) Central Standard Time
America/Mexico_City
America/New_York - (GMT-05:00) Eastern Standard Time
America/New_York
America/Noronha - (GMT-02:00) Fernando de Noronha Time
America/Noronha
America/Phoenix - (GMT-07:00) Mountain Standard Time
America/Phoenix
America/Sao_Paulo - (GMT-03:00) Brasilia Time
America/Sao_Paulo
America/St_Johns - (GMT-03:30) Newfoundland Standard Time
America/St_Johns
America/Vancouver - (GMT-08:00) Pacific Standard Time
America/Vancouver
America/Winnipeg - (GMT-06:00) Central Standard Time
America/Winnipeg
Asia/Baku - (GMT+04:00) Azerbaijan Time
Asia/Baku
Asia/Bangkok - (GMT+07:00) Indochina Time
Asia/Bangkok
Asia/Calcutta - (GMT+05:30) India Standard Time
Asia/Calcutta
Asia/Dacca - (GMT+06:00) Bangladesh Time
Asia/Dacca
Asia/Dubai - (GMT+04:00) Gulf Standard Time
Asia/Dubai
Asia/Hong_Kong - (GMT+08:00) Hong Kong Time
Asia/Hong_Kong
Asia/Jakarta - (GMT+07:00) West Indonesia Time
Asia/Jakarta
Asia/Jerusalem - (GMT+02:00) Israel Standard Time
Asia/Jerusalem
Asia/Katmandu - (GMT+05:45) Nepal Time
Asia/Katmandu
Asia/Kuala_Lumpur - (GMT+08:00) Malaysia Time
Asia/Kuala_Lumpur
Asia/Macao - (GMT+08:00) China Standard Time
Asia/Macao
Asia/Magadan - (GMT+11:00) Magadan Time
Asia/Magadan
Asia/Manila - (GMT+08:00) Philippines Time
Asia/Manila
Asia/Rangoon - (GMT +06:30) Myanmar Standard Time
Asia/Rangoon
Asia/Riyadh - (GMT+03:00) Arabia Standard Time
Asia/Riyadh
Asia/Saigon - (GMT+07:00) Indochina Time
Asia/Saigon
Asia/Seoul - (GMT+09:00) Korea Standard Time
Asia/Seoul
Asia/Shanghai - (GMT+08:00) China Standard Time
Asia/Shanghai
Asia/Singapore - (GMT+08:00) Singapore Time
Asia/Singapore
Asia/Taipei - (GMT+08:00) China Standard Time
Asia/Taipei
Asia/Tbilisi - (GMT+04:00) Georgia Time
Asia/Tbilisi
Asia/Tokyo - (GMT+09:00) Japan Standard Time
Asia/Tokyo
Asia/Yakutsk - (GMT+09:00) Yakutsk Time
Asia/Yakutsk
Atlantic/Cape_Verde - (GMT-01:00) Cape Verde Time
Atlantic/Cape_Verde
Australia/Adelaide - (GMT+09:30) Australian Central Standard Time
Australia/Adelaide
Australia/Brisbane - (GMT+10:00) Australian Eastern Standard Time
Australia/Brisbane
Australia/Broken_Hill - (GMT+09:30) Australian Central Standard Time
Australia/Broken_Hill
Australia/Darwin - (GMT+09:30) Australian Central Standard Time
Australia/Darwin
Australia/Eucla - (GMT+08:45) Australian Western Standard Time
Australia/Eucla
Australia/Hobart - (GMT+10:00) Australian Eastern Standard Time
Australia/Hobart
Australia/Lindeman - (GMT+10:00) Australian Eastern Standard Time
Australia/Lindeman
Australia/Lord_Howe - (GMT+10:30) Lord Howe Standard Time
Australia/Lord_Howe
Australia/Melbourne - (GMT+10:00) Australian Eastern Standard Time
Australia/Melbourne
Australia/Perth - (GMT+08:00) Australian Western Standard Time
Australia/Perth
Australia/Sydney - (GMT+10:00) Australian Eastern Standard Time
Australia/Sydney
Europe/Amsterdam - (GMT+01:00) Central European Time
Europe/Amsterdam
Europe/Athens - (GMT+02:00) Eastern European Time
Europe/Athens
Europe/Belgrade - (GMT+01:00) Central European Time
Europe/Belgrade
Europe/Berlin - (GMT+01:00) Central European Time
Europe/Berlin
Europe/Brussels - (GMT+01:00) Central European Time
Europe/Brussels
Europe/Bucharest - (GMT+02:00) Eastern European Time
Europe/Bucharest
Europe/Budapest - (GMT+01:00) Central European Time
Europe/Budapest
Europe/Copenhagen - (GMT+01:00) Central European Time
Europe/Copenhagen
Europe/Dublin - (GMT+00:00) Greenwich Mean Time
Europe/Dublin
Europe/Helsinki - (GMT+02:00) Eastern European Time
Europe/Helsinki
Europe/Istanbul - (GMT+02:00) Eastern European Time
Europe/Istanbul
Europe/Lisbon - (GMT+00:00) Western European Time
Europe/Lisbon
Europe/London - (GMT+00:00) Greenwich Mean Time
Europe/London
Europe/Madrid - (GMT+01:00) Central European Time
Europe/Madrid
Europe/Malta - (GMT+01:00) Central European Time
Europe/Malta
Europe/Minsk - (GMT+03:00) Moscow Standard Time
Europe/Minsk
Europe/Monaco - (GMT+01:00) Central European Time
Europe/Monaco
Europe/Moscow - (GMT+03:00) Moscow Standard Time
Europe/Moscow
Europe/Oslo - (GMT+01:00) Central European Time
Europe/Oslo
Europe/Paris - (GMT+01:00) Central European Time
Europe/Paris
Europe/Prague - (GMT+01:00) Central European Time
Europe/Prague
Europe/Riga - (GMT+02:00) Eastern European Time
Europe/Riga
Europe/Rome - (GMT+01:00) Central European Time
Europe/Rome
Europe/Stockholm - (GMT+01:00) Central European Time
Europe/Stockholm
Europe/Vienna - (GMT+01:00) Central European Time
Europe/Vienna
Europe/Warsaw - (GMT+01:00) Central European Time
Europe/Warsaw
Europe/Zurich - (GMT+01:00) Central European Time
Europe/Zurich
GMT - (GMT+00:00) Greenwich Mean Time
GMT
Pacific/Auckland - (GMT+12:00) New Zealand Standard Time
Pacific/Auckland
Pacific/Honolulu - (GMT-10:00) Hawaii Standard Time
Pacific/Honolulu
Pacific/Norfolk - (GMT+11:00) Norfolk Time
Pacific/Norfolk
Pacific/Pago_Pago - (GMT-11:00) Samoa Standard Time
Pacific/Pago_Pago